package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0007;
import cn.ibizlab.core.sample.filter.IBIZSample0007SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0007] 服务对象接口
 */
public interface IIBIZSample0007Service extends IService<IBIZSample0007>{

    boolean create(IBIZSample0007 et) ;
    void createBatch(List<IBIZSample0007> list) ;
    boolean update(IBIZSample0007 et) ;
    void updateBatch(List<IBIZSample0007> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBIZSample0007 get(String key) ;
    IBIZSample0007 getDraft(IBIZSample0007 et) ;
    boolean checkKey(IBIZSample0007 et) ;
    boolean save(IBIZSample0007 et) ;
    void saveBatch(List<IBIZSample0007> list) ;
    Page<IBIZSample0007> searchCurGW(IBIZSample0007SearchContext context) ;
    Page<IBIZSample0007> searchDefault(IBIZSample0007SearchContext context) ;
    List<IBIZSample0007> selectByIbizsample0006id(String ibizsample0006id);
    void resetByIbizsample0006id(String ibizsample0006id);
    void resetByIbizsample0006id(Collection<String> ids);
    void removeByIbizsample0006id(String ibizsample0006id);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0007> getIbizsample0007ByIds(List<String> ids) ;
    List<IBIZSample0007> getIbizsample0007ByEntities(List<IBIZSample0007> entities) ;
}


